#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Windows.Controls;
using Syncfusion.Windows.Controls.Gantt;
using System.Collections.ObjectModel;
using System.Windows;

namespace ImportExportDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainWindow"/> class.
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        private void SaveButton_Click(object sender, RoutedEventArgs e)
        {
            if (Gantt.ExportToXML())
            {
                MessageBox.Show("Tasks exported successfully.", "XML Import/Export", MessageBoxButton.OK, MessageBoxImage.Information);
            }
        }

        private void Open_Click(object sender, RoutedEventArgs e)
        {
            if (Gantt.ImportFromXML())
            {
                MessageBox.Show("Tasks imported successfully.", "XML Import/Export", MessageBoxButton.OK, MessageBoxImage.Information);
            }
        }
    }
}
